apache 2.2 --> php4 will nicht

Apache, Lighttpd, nginx, Cherokee
globestern
Posts: 69
Joined: 2005-04-20 11:34

apache 2.2 --> php4 will nicht

Post by globestern » 2007-01-31 14:42

hi...

nachdem ich mich jetzt 2-3h dumm und dämlich gesucht habe und nichts brauchbares gefunden habe, versuche ich es jetzt mit einem thread hier :-)

also ich habe meinen apache2.2 von hand kompiliert unter /usr/local/apache2 (standart halt) installiert --> dieser läuft wunderbar

mein php4 funktioniert aber leider nicht - dies habe ich über apt-get install libapache2-mod-php4 installiert.

dpkg -l | grep php gibt mir folgendes aus:

ii php4-cli 4.3.10-18 command-line interpreter for the php4 script
ii php4-common 4.3.10-18 Common files for packages built from the php
ii php4-mysql 4.3.10-18 MySQL module for php4
ii php4-pear 4.3.10-18 PEAR - PHP Extension and Application Reposit

das problem ist, dass er die .php dateien immer als text ausgibt...

a2enmod php4 gibt mir aus, dass das modul installiert ist...

hat jemand eine idee was ich falsch gemacht habe? :-/

mfg

Roger Wilco
Administrator
Administrator
Posts: 5924
Joined: 2004-05-23 12:53

Re: apache 2.2 --> php4 will nicht

Post by Roger Wilco » 2007-01-31 15:05

Du musst PHP selbst kompilieren. Die Pakete funktionieren nur mit der Version des Apache httpd, der mit deiner Distribution ausgeliefert wird.

globestern
Posts: 69
Joined: 2005-04-20 11:34

Re: apache 2.2 --> php4 will nicht

Post by globestern » 2007-01-31 15:11

hab ichs mir doch fast gedacht.. alles klar.. danke